diff --git a/ldap/servers/slapd/back-ldif/config.c b/ldap/servers/slapd/back-ldif/config.c
index f5678af..adccb05 100644
--- a/ldap/servers/slapd/back-ldif/config.c
+++ b/ldap/servers/slapd/back-ldif/config.c
@@ -51,7 +51,7 @@ ldif_back_config( Slapi_PBlock *pb )
   Slapi_Entry *tmp;                 /*Used for initialization purposes*/
 
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_config\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_config\n", 0, 0, 0 );
   
   /* 
    * Get the private_info structure you created in ldif_back_init(). 
@@ -63,7 +63,7 @@ ldif_back_config( Slapi_PBlock *pb )
       slapi_pblock_get( pb, SLAPI_CONFIG_LINENO, &lineno ) < 0 ||
       slapi_pblock_get( pb, SLAPI_CONFIG_ARGC, &argc ) < 0 ||
       slapi_pblock_get( pb, SLAPI_CONFIG_ARGV, &argv ) < 0 ){
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to get data from front end\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to get data from front end\n", 0, 0, 0);
     return(-1);
   }
 
@@ -80,14 +80,14 @@ ldif_back_config( Slapi_PBlock *pb )
   
   /*Check for the correct number of arguments*/
   if (argc != 2){
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: Unable to configure; invalid ldif input file specification line format (file: %s, line: %d)\n", 
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: Unable to configure; invalid ldif input file specification line format (file: %s, line: %d)\n", 
 	    fname, lineno, 0); 
     return(-1);
   }
   
   /*Check for the right format*/
   if (strcmp(argv[0], "file") != 0){
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to configure; invalid parameter \"%s\" in config file (file: %s, line: %d)\n", 
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to configure; invalid parameter \"%s\" in config file (file: %s, line: %d)\n", 
 	    argv[0], fname, lineno ); 
     return(-1);
   }
@@ -95,10 +95,10 @@ ldif_back_config( Slapi_PBlock *pb )
   /*Now we fopen the file and grab up the contents*/
   fp = fopen (argv[1], "r");
   if (fp == NULL){
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to read ldif file %s\n", argv[1], 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to read ldif file %s\n", argv[1], 0, 0);
     fp = fopen (argv[1], "w");
     if(fp == NULL){
-      LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to create ldif file %s\n", argv[1], 0, 0);
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to create ldif file %s\n", argv[1], 0, 0);
       return -1;
     }
   }
@@ -110,7 +110,7 @@ ldif_back_config( Slapi_PBlock *pb )
 
   /*Save the filename, for modifications to the file later*/
   if ((db->ldif_file = strdup(argv[1])) == NULL){
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: out of memory\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: out of memory\n", 0, 0, 0);
     PR_Unlock( db->ldif_lock );
     fclose(fp);
     return(-1);
@@ -127,7 +127,7 @@ ldif_back_config( Slapi_PBlock *pb )
 				SLAPI_STR2ENTRY_NOT_WELL_FORMED_LDIF);
     new = (ldif_Entry *) ldifentry_init(tmp);
     if (new == NULL){
-      LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to read in ldif file; out of memory\n",0 ,0 ,0 );
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to read in ldif file; out of memory\n",0 ,0 ,0 );
       PR_Unlock( db->ldif_lock );
       fclose(fp);
       return(-1);
@@ -159,7 +159,7 @@ ldif_back_config( Slapi_PBlock *pb )
   PR_Unlock( db->ldif_lock );
   fclose(fp);
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_config\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_config\n", 0, 0, 0 );
   return( 0 );
 }
 
diff --git a/ldap/servers/slapd/back-ldif/delete.c b/ldap/servers/slapd/back-ldif/delete.c
index 0060214..52da14c 100644
--- a/ldap/servers/slapd/back-ldif/delete.c
+++ b/ldap/servers/slapd/back-ldif/delete.c
@@ -38,7 +38,7 @@ ldif_back_delete( Slapi_PBlock *pb )
   char			*dn;         /*Storage for the dn*/
   int rc;
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_delete\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_delete\n", 0, 0, 0 );
 
   prev = NULL;
   
@@ -56,7 +56,7 @@ ldif_back_delete( Slapi_PBlock *pb )
   bye = (ldif_Entry *) ldif_find_entry(pb, db, dn, &prev);
   if (bye == NULL) {
     slapi_send_ldap_result( pb, LDAP_NO_SUCH_OBJECT, NULL, NULL, 0, NULL );
-    LDAPDebug( LDAP_DEBUG_TRACE, "entry for delete does not exist\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "entry for delete does not exist\n", 0, 0, 0 );
     PR_Unlock( db->ldif_lock );
     return(-1);
   }
@@ -87,7 +87,7 @@ ldif_back_delete( Slapi_PBlock *pb )
   /*Success*/
   slapi_send_ldap_result( pb, LDAP_SUCCESS, NULL, NULL, 0, NULL );
   PR_Unlock( db->ldif_lock );
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_delete\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_delete\n", 0, 0, 0 );
   return( 0 );
 }
 
@@ -106,7 +106,7 @@ has_children(LDIF *db, ldif_Entry *p)
   ldif_Entry *cur;  /*Used to walk down the list*/
   int  has_kid = 0; /*Flag to return*/
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> has_children\n", 0, 0, 0);
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> has_children\n", 0, 0, 0);
 
   /*If there is no p or db, then there can be no children*/
   if (p == NULL || db == NULL){
@@ -135,7 +135,7 @@ has_children(LDIF *db, ldif_Entry *p)
 
   free( (void *) parentdn );
     
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= has_children %d\n", has_kid, 0, 0);
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= has_children %d\n", has_kid, 0, 0);
   return( has_kid );
 }
 
diff --git a/ldap/servers/slapd/back-ldif/init.c b/ldap/servers/slapd/back-ldif/init.c
index 2564684..31eabee 100644
--- a/ldap/servers/slapd/back-ldif/init.c
+++ b/ldap/servers/slapd/back-ldif/init.c
@@ -39,7 +39,7 @@ ldif_back_init( Slapi_PBlock *pb )
   LDIF *db;    /*This will hold the ldif file in memory*/
   int rc;
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_init\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_init\n", 0, 0, 0 );
   
   /*
    * Allocate and initialize db with everything we
@@ -52,7 +52,7 @@ ldif_back_init( Slapi_PBlock *pb )
   /*Allocate memory for our database and check if success*/
   db = (LDIF *) malloc( sizeof(LDIF) );
   if (db == NULL) {
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to initialize; out of memory\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to initialize; out of memory\n", 0, 0, 0);
     return(-1);
   }
   
@@ -64,7 +64,7 @@ ldif_back_init( Slapi_PBlock *pb )
   db->ldif_file = NULL;
   db->ldif_lock = PR_NewLock();
   if (&db->ldif_lock == NULL) {
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: Lock creation failed\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: Lock creation failed\n", 0, 0, 0);
     return(-1);
   }
 
@@ -102,11 +102,11 @@ ldif_back_init( Slapi_PBlock *pb )
   rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_START_FN,
       (void *) ldif_back_start );
   if (rc != 0) {
-    LDAPDebug(LDAP_DEBUG_ANY, "Ldif Backend: unable to pass database information to front end\n",0 ,0 ,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ldif Backend: unable to pass database information to front end\n",0 ,0 ,0);
     return(-1);
   }
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_init\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_init\n", 0, 0, 0 );
   
   return( 0 );
 }
diff --git a/ldap/servers/slapd/back-ldif/modify.c b/ldap/servers/slapd/back-ldif/modify.c
index 45d52fb..73c51e9 100644
--- a/ldap/servers/slapd/back-ldif/modify.c
+++ b/ldap/servers/slapd/back-ldif/modify.c
@@ -53,7 +53,7 @@ ldif_back_modify( Slapi_PBlock *pb )
   char	     *dn;                   /*Storage for the dn*/
   char	     *errbuf = NULL;	    /* To get error back */
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_modify\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_modify\n", 0, 0, 0 );
   prev = NULL;
 
   /*Get the database, the dn and the mods*/
@@ -134,7 +134,7 @@ ldif_back_modify( Slapi_PBlock *pb )
 
   slapi_send_ldap_result( pb, LDAP_SUCCESS, NULL, NULL, 0, NULL );
   PR_Unlock( db->ldif_lock );
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_modify\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_modify\n", 0, 0, 0 );
   return( 0 );
   
  error_return:;
@@ -528,27 +528,27 @@ apply_mods( Slapi_Entry *e, LDAPMod **mods )
 {
   int     err, i, j;
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> apply_mods\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> apply_mods\n", 0, 0, 0 );
   
   err = LDAP_SUCCESS;
   for ( j = 0; (mods != NULL) && (mods[j] != NULL); j++ ) {
     switch ( mods[j]->mod_op & ~LDAP_MOD_BVALUES ) {
     case LDAP_MOD_ADD:
-      LDAPDebug( LDAP_DEBUG_ARGS, "   add: %s\n",
+      LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   add: %s\n",
 		mods[j]->mod_type, 0, 0 );
       err = slapi_entry_add_values( e, mods[j]->mod_type,
 			     mods[j]->mod_bvalues );
       break;
       
     case LDAP_MOD_DELETE:
-      LDAPDebug( LDAP_DEBUG_ARGS, "   delete: %s\n",
+      LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   delete: %s\n",
 		mods[j]->mod_type, 0, 0 );
       err = slapi_entry_delete_values( e, mods[j]->mod_type,
 				mods[j]->mod_bvalues );
       break;
       
     case LDAP_MOD_REPLACE:
-      LDAPDebug( LDAP_DEBUG_ARGS, "   replace: %s\n",
+      LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   replace: %s\n",
 		mods[j]->mod_type, 0, 0 );
       err = entry_replace_values( e, mods[j]->mod_type,
 				 mods[j]->mod_bvalues );
@@ -556,17 +556,17 @@ apply_mods( Slapi_Entry *e, LDAPMod **mods )
     }
     for ( i = 0; mods[j]->mod_bvalues != NULL &&
 	 mods[j]->mod_bvalues[i] != NULL; i++ ) {
-      LDAPDebug( LDAP_DEBUG_ARGS, "   %s: %s\n",
+      LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   %s: %s\n",
 		mods[j]->mod_type, mods[j]->mod_bvalues[i]->bv_val,
 		0 );
     }
-    LDAPDebug( LDAP_DEBUG_ARGS, "   -\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   -\n", 0, 0, 0 );
     
     if ( err != LDAP_SUCCESS ) {
       break;
     }
   }
   
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= apply_mods %d\n", err, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= apply_mods %d\n", err, 0, 0 );
   return( err );
 }
diff --git a/ldap/servers/slapd/back-ldif/modrdn.c b/ldap/servers/slapd/back-ldif/modrdn.c
index ae79834..720e97e 100644
--- a/ldap/servers/slapd/back-ldif/modrdn.c
+++ b/ldap/servers/slapd/back-ldif/modrdn.c
@@ -48,7 +48,7 @@ ldif_back_modrdn( Slapi_PBlock *pb )
   LDAPMod       **mods;               /*Holds the list of modifications*/
   int rc;
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_modrdn\n", 0, 0, 0 );  
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_modrdn\n", 0, 0, 0 );  
 
   prev = NULL;
 
@@ -106,7 +106,7 @@ ldif_back_modrdn( Slapi_PBlock *pb )
     /* parent + rdn + separator(s) + null */
     newdn = (char *) malloc( strlen( pdn ) + strlen( newrdn ) + 3 );
     if (newdn == NULL){
-      LDAPDebug( LDAP_DEBUG_ANY,"malloc failed", 0, 0, 0 );
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"malloc failed", 0, 0, 0 );
       exit(1);
     }
 
@@ -197,7 +197,7 @@ ldif_back_modrdn( Slapi_PBlock *pb )
   /*Unlock the database, and tell the user the good news*/
   PR_Unlock( db->ldif_lock );
   slapi_send_ldap_result( pb, LDAP_SUCCESS, NULL, NULL, 0, NULL );
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_modrdn\n", 0, 0, 0 );  
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_modrdn\n", 0, 0, 0 );  
   return( 0 );
   
 error_return:;
@@ -254,19 +254,19 @@ ldif_add_mod( LDAPMod ***modlist, int modtype, char *type, struct berval **bvps
 				     (i + 2) * sizeof(LDAPMod *) );
 
   if (*modlist == NULL){
-    LDAPDebug( LDAP_DEBUG_ANY, "realloc failed", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "realloc failed", 0, 0, 0 );
     exit(1);
   }
   (*modlist)[i] = (LDAPMod *) malloc( sizeof(LDAPMod) );
 
   if ((*modlist)[i] == NULL){
-    LDAPDebug( LDAP_DEBUG_ANY,"malloc failed", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"malloc failed", 0, 0, 0 );
     exit(1);
   }
 
   (*modlist)[i]->mod_type = (char *) strdup( type );
   if ((*modlist)[i]->mod_type == NULL){
-    LDAPDebug( LDAP_DEBUG_ANY,"strdup failed", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"strdup failed", 0, 0, 0 );
     exit(1);
   }
 
@@ -274,7 +274,7 @@ ldif_add_mod( LDAPMod ***modlist, int modtype, char *type, struct berval **bvps
   (*modlist)[i]->mod_op = modtype;
   (*modlist)[i]->mod_bvalues = (struct berval **) malloc(2*sizeof(struct berval *));
   if ((*modlist)[i]->mod_bvalues == NULL){
-    LDAPDebug( LDAP_DEBUG_ANY,"malloc failed",0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"malloc failed",0, 0, 0 );
     exit(1);
   }
   (*modlist)[i]->mod_bvalues[0] = ber_bvdup( bvps[0] );
diff --git a/ldap/servers/slapd/back-ldif/search.c b/ldap/servers/slapd/back-ldif/search.c
index 70c4d44..07a0936 100644
--- a/ldap/servers/slapd/back-ldif/search.c
+++ b/ldap/servers/slapd/back-ldif/search.c
@@ -50,7 +50,7 @@ ldif_back_search( Slapi_PBlock *pb )
   char          *freeme;   /*Tmp storage for monitordn*/
   time_t        currtime;  /*The current time*/
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ldif_back_search\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldif_back_search\n", 0, 0, 0 );
   
   /* 
    * Get private information created in the init routine. 
@@ -199,7 +199,7 @@ ldif_back_search( Slapi_PBlock *pb )
   /* Search is done, send LDAP_SUCCESS */
   slapi_send_ldap_result( pb, LDAP_SUCCESS, NULL, NULL, nentries, NULL );
   PR_Unlock( db->ldif_lock );
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ldif_back_search\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldif_back_search\n", 0, 0, 0 );
   return( -1 );
   
 }
diff --git a/ldap/servers/slapd/backend_manager.c b/ldap/servers/slapd/backend_manager.c
index 9084d95..e8ea06f 100644
--- a/ldap/servers/slapd/backend_manager.c
+++ b/ldap/servers/slapd/backend_manager.c
@@ -155,7 +155,7 @@ slapi_get_next_backend (char *cookie)
 	int i, last_be;
 	if (cookie == NULL)
 	{
-		LDAPDebug( LDAP_DEBUG_ARGS, "slapi_get_next_backend: NULL argument\n", 
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "slapi_get_next_backend: NULL argument\n", 
 				  0, 0, 0 );
 		return NULL;
 	}
@@ -164,7 +164,7 @@ slapi_get_next_backend (char *cookie)
 
 	if ( last_be < 0 || last_be >= maxbackends)
 	{
-		LDAPDebug( LDAP_DEBUG_ARGS, "slapi_get_next_backend: argument out of range\n", 
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "slapi_get_next_backend: argument out of range\n", 
 				  0, 0, 0 );
 		return NULL;
 	}
diff --git a/ldap/servers/slapd/bind.c b/ldap/servers/slapd/bind.c
index 3054c1f..5c4a53c 100644
--- a/ldap/servers/slapd/bind.c
+++ b/ldap/servers/slapd/bind.c
@@ -109,7 +109,7 @@ do_bind( Slapi_PBlock *pb )
     int minssf_exclude_rootdse = 0;
     Slapi_DN *original_sdn = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "do_bind\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_bind\n", 0, 0, 0 );
 
     /*
      * Parse the bind request.  It looks like this:
@@ -133,7 +133,7 @@ do_bind( Slapi_PBlock *pb )
 
     ber_rc = ber_scanf( ber, "{iat", &version, &rawdn, &method );
     if ( ber_rc == LBER_ERROR ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ber_scanf failed (op=Bind; params=Version,DN,Method)\n",
                    0, 0, 0 );
         log_bind_access (pb, "???", method, version, saslmech, "decoding error");
@@ -165,7 +165,7 @@ do_bind( Slapi_PBlock *pb )
         slapi_sdn_free(&sdn);
         return;
     }
-    LDAPDebug( LDAP_DEBUG_TRACE, "BIND dn=\"%s\" method=%" BERTAG_T " version=%d\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "BIND dn=\"%s\" method=%" BERTAG_T " version=%d\n",
                dn?dn:"empty", method, version );
 
     /* target spec is used to decide which plugins are applicable for the operation */
@@ -174,7 +174,7 @@ do_bind( Slapi_PBlock *pb )
     switch ( method ) {
     case LDAP_AUTH_SASL:
         if ( version < LDAP_VERSION3 ) {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "got SASL credentials from LDAPv2 client\n",
                        0, 0, 0 );
             log_bind_access (pb, dn?dn:"empty", method, version, saslmech, "SASL credentials only in LDAPv3");
@@ -205,7 +205,7 @@ do_bind( Slapi_PBlock *pb )
             static char *kmsg = 
                 "LDAPv2-style kerberos authentication received "
                 "on LDAPv3 connection.";
-            LDAPDebug( LDAP_DEBUG_ANY, kmsg, 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, kmsg, 0, 0, 0 );
             log_bind_access (pb, dn?dn:"empty", method, version, saslmech, kmsg);
             send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL,
                               kmsg, 0, NULL );
@@ -225,7 +225,7 @@ do_bind( Slapi_PBlock *pb )
         goto free_and_return;
     }
     if ( ber_rc == LBER_ERROR ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ber_scanf failed (op=Bind; params=Credentials)\n",
                    0, 0, 0 );
         log_bind_access (pb, dn?dn:"empty", method, version, saslmech, "decoding error");
@@ -324,14 +324,14 @@ do_bind( Slapi_PBlock *pb )
         }
         break;
     default:
-        LDAPDebug( LDAP_DEBUG_TRACE, "bind: unknown LDAP protocol version %d\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "bind: unknown LDAP protocol version %d\n",
                    version, 0, 0 );
         send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL,
                           "version not supported", 0, NULL );
         goto free_and_return;
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "do_bind: version %d method 0x%x dn %s\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_bind: version %d method 0x%x dn %s\n",
                version, method, dn );
     pb->pb_conn->c_ldapversion = version;
 
diff --git a/ldap/servers/slapd/compare.c b/ldap/servers/slapd/compare.c
index 3977452..d206ba8 100644
--- a/ldap/servers/slapd/compare.c
+++ b/ldap/servers/slapd/compare.c
@@ -43,7 +43,7 @@ do_compare( Slapi_PBlock *pb )
 	Slapi_Entry *referral = NULL;
 	char errorbuf[SLAPI_DSE_RETURNTEXT_SIZE];
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_compare\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_compare\n", 0, 0, 0 );
 
 	/* count the compare request */
 	slapi_counter_increment(g_get_global_snmp_vars()->ops_tbl.dsCompareOps);
@@ -65,7 +65,7 @@ do_compare( Slapi_PBlock *pb )
 
 	if ( ber_scanf( ber, "{a{ao}}", &rawdn, &ava.ava_type,
 	    &ava.ava_value ) == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ber_scanf failed (op=Compare; params=DN,Type,Value)\n",
 		    0, 0, 0 );
 		send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL, NULL, 0,
@@ -108,7 +108,7 @@ do_compare( Slapi_PBlock *pb )
 	/* target spec is used to decide which plugins are applicable for the operation */
 	operation_set_target_spec (pb->pb_op, &sdn);
 
-	LDAPDebug( LDAP_DEBUG_ARGS, "do_compare: dn (%s) attr (%s)\n",
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "do_compare: dn (%s) attr (%s)\n",
 	    rawdn, ava.ava_type, 0 );
 
 	slapi_log_access( LDAP_DEBUG_STATS,
diff --git a/ldap/servers/slapd/config.c b/ldap/servers/slapd/config.c
index fd31b7b..0da897a 100644
--- a/ldap/servers/slapd/config.c
+++ b/ldap/servers/slapd/config.c
@@ -210,7 +210,7 @@ slapd_bootstrap_config(const char *configdir)
 							SLAPI_STR2ENTRY_NOT_WELL_FORMED_LDIF);
 				if (e == NULL)
 				{
-					  LDAPDebug(LDAP_DEBUG_ANY, "The entry [%s] in the configfile %s was empty or could not be parsed\n",
+					  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "The entry [%s] in the configfile %s was empty or could not be parsed\n",
 								entrystr, configfile, 0);
 					continue;
 				}
@@ -224,7 +224,7 @@ slapd_bootstrap_config(const char *configdir)
 									maxdescriptors, errorbuf, CONFIG_APPLY)
 						!= LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_MAXDESCRIPTORS_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -240,7 +240,7 @@ slapd_bootstrap_config(const char *configdir)
 						logenabled, SLAPD_ERROR_LOG, errorbuf, CONFIG_APPLY)
 						!= LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_ERRORLOG_LOGGING_ENABLED_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -253,7 +253,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_localuser(CONFIG_LOCALUSER_ATTRIBUTE,
 						_localuser, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 								  CONFIG_LOCALUSER_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -267,7 +267,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_errorlog(CONFIG_ERRORLOG_ATTRIBUTE,
 						workpath, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 								  CONFIG_ERRORLOG_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -281,13 +281,13 @@ slapd_bootstrap_config(const char *configdir)
 						if (config_set_errorlog_level(CONFIG_LOGLEVEL_ATTRIBUTE,
 							loglevel, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 						{
-							LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+							LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 									  CONFIG_LOGLEVEL_ATTRIBUTE, errorbuf);
 						}
 					}
 					else
 					{
-						LDAPDebug(LDAP_DEBUG_ANY,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 								  "%s: ignoring %s (since -d %d was given on "
 								  "the command line)\n",
 								  CONFIG_LOGLEVEL_ATTRIBUTE, loglevel,
@@ -303,7 +303,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_certdir(CONFIG_CERTDIR_ATTRIBUTE,
 							workpath, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 									  CONFIG_CERTDIR_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -316,7 +316,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_saslpath(CONFIG_SASLPATH_ATTRIBUTE,
 							workpath, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 									  CONFIG_SASLPATH_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -329,7 +329,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_ldapi_filename(CONFIG_LDAPI_FILENAME_ATTRIBUTE,
 							workpath, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 									  CONFIG_LDAPI_FILENAME_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -342,7 +342,7 @@ slapd_bootstrap_config(const char *configdir)
 					if (config_set_ldapi_switch(CONFIG_LDAPI_SWITCH_ATTRIBUTE,
 							workpath, errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s. \n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s. \n", configfile,
 									  CONFIG_LDAPI_SWITCH_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -361,7 +361,7 @@ slapd_bootstrap_config(const char *configdir)
 						/* add the syntax/matching scheme rule plugin */
 						if (plugin_setup(e, 0, 0, 1, returntext))
 						{
-							LDAPDebug(LDAP_DEBUG_ANY, "The plugin entry [%s] in the configfile %s was invalid. %s\n",
+							LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "The plugin entry [%s] in the configfile %s was invalid. %s\n",
 							          slapi_entry_get_dn(e), configfile, returntext);
 							rc = 0;
 							slapi_sdn_done(&plug_dn);
@@ -384,7 +384,7 @@ slapd_bootstrap_config(const char *configdir)
 						/* add the pwd storage scheme rule plugin */
 						if (plugin_setup(e, 0, 0, 1, returntext))
 						{
-							LDAPDebug(LDAP_DEBUG_ANY, "The plugin entry [%s] in the configfile %s was invalid. %s\n",
+							LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "The plugin entry [%s] in the configfile %s was invalid. %s\n",
 							          slapi_entry_get_dn(e), configfile, returntext);
 							rc = 0;
 							slapi_sdn_done(&plug_dn);
@@ -402,7 +402,7 @@ slapd_bootstrap_config(const char *configdir)
 								schemacheck, errorbuf, CONFIG_APPLY)
 								!= LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_SCHEMACHECK_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -416,7 +416,7 @@ slapd_bootstrap_config(const char *configdir)
 							plugintracking, errorbuf, CONFIG_APPLY)
 								!= LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								CONFIG_PLUGIN_BINDDN_TRACKING_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -430,7 +430,7 @@ slapd_bootstrap_config(const char *configdir)
 								moddn_aci, errorbuf, CONFIG_APPLY)
 								!= LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_MODDN_ACI_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -444,7 +444,7 @@ slapd_bootstrap_config(const char *configdir)
 					                           syntaxcheck, errorbuf, CONFIG_APPLY)
 						                   != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 						          CONFIG_SYNTAXCHECK_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -458,7 +458,7 @@ slapd_bootstrap_config(const char *configdir)
 					                          syntaxlogging, errorbuf, CONFIG_APPLY)
 					                          != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 						          CONFIG_SYNTAXLOGGING_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -472,7 +472,7 @@ slapd_bootstrap_config(const char *configdir)
 					                           dn_validate_strict, errorbuf, CONFIG_APPLY)
 					                           != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 						          CONFIG_DN_VALIDATE_STRICT_ATTRIBUTE, errorbuf);
 					}
 				}
@@ -485,7 +485,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_ENQUOTE_SUP_OC_ATTRIBUTE, val, errorbuf, 
 								CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_ENQUOTE_SUP_OC_ATTRIBUTE, errorbuf);
 					}
 					val[0] = 0;
@@ -499,7 +499,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_RETURN_EXACT_CASE_ATTRIBUTE, val,
 								errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_RETURN_EXACT_CASE_ATTRIBUTE, errorbuf);
 					}
 					val[0] = 0;
@@ -514,7 +514,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_ATTRIBUTE_NAME_EXCEPTION_ATTRIBUTE, val,
 								errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_ATTRIBUTE_NAME_EXCEPTION_ATTRIBUTE,
 								  errorbuf);
 					}
@@ -529,7 +529,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_DS4_COMPATIBLE_SCHEMA_ATTRIBUTE, val,
 								errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_DS4_COMPATIBLE_SCHEMA_ATTRIBUTE,
 								  errorbuf);
 					}
@@ -544,7 +544,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_SCHEMA_IGNORE_TRAILING_SPACES, val,
 								errorbuf, CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_SCHEMA_IGNORE_TRAILING_SPACES,
 								  errorbuf);
 					}
@@ -558,7 +558,7 @@ slapd_bootstrap_config(const char *configdir)
 				  if (config_set_rewrite_rfc1274(
 								 CONFIG_REWRITE_RFC1274_ATTRIBUTE, val, 
 								 errorbuf, CONFIG_APPLY) != LDAP_SUCCESS) {
-				    LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", 
+				    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", 
 					      configfile,
 					      CONFIG_REWRITE_RFC1274_ATTRIBUTE, 
 					      errorbuf);
@@ -574,7 +574,7 @@ slapd_bootstrap_config(const char *configdir)
 								CONFIG_LOCALHOST_ATTRIBUTE, val, errorbuf, 
 								CONFIG_APPLY) != LDAP_SUCCESS)
 					{
-						LDAPDebug(LDAP_DEBUG_ANY, "%s: %s: %s\n", configfile,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: %s: %s\n", configfile,
 								  CONFIG_LOCALHOST_ATTRIBUTE, errorbuf);
 					}
 					val[0] = 0;
